Subject: Re: [bug#40712] gnu: Add midori.

From: "Raghav Gururajan" <[email-masked]>
Date: Sun, 19 Apr 2020 10:49:15 +0000

Hi Mathieu!

>> Thanks for your patch! This is a duplicate of
>> https://lists.gnu.org/archive/html/guix-patches/2020-03/msg00729.html.
> 
> Oops! I did not know that. Sorry!
> 
>> Like with Rene patch HTTPS didn't work for me. However when adding:
>> 
>> --8<---------------cut here---------------start------------->8---
>> ("glib-networking" ,glib-networking)
>> --8<---------------cut here---------------end--------------->8---
>> 
>> to inputs, yours work. Not sure how to proceed here.
> 
> It's because I have used glib phases.

Along with 'glib-networking', could you also add the following please?

         (add-after 'install 'wrap-typelib
           (lambda* (#:key outputs #:allow-other-keys)
             (let ((prog (string-append (assoc-ref outputs "out")
                                        "/bin/midori")))
               (wrap-program prog
                 `("GI_TYPELIB_PATH" = (,(getenv "GI_TYPELIB_PATH"))))
               #t)))

Sorry, I am at work now and do not have my machine.

Regards,
RG.